from django.conf.urls.defaults import *

urlpatterns = patterns('traff.views',
	(r'^$', 'show_menu'),

	(r'^perclient/(\S+)/peryear/(\d{4})/$',				'perclient_per_year'),
	(r'^perclient/(\S+)/permonth/(\d{4})/(\d{1,2})/$',			'perclient_per_month'),
	(r'^perclient/(\S+)/perday/(\d{4})/(\d{1,2})/(\d{1,2})/$',		'perclient_per_day'),

	(r'^all/bymonths/(\d{4})/$',				'all_by_months'),
	(r'^all/bydays/(\d{4})/(\d{1,2})/$',			'all_by_days'),
	(r'^all/byhours/(\d{4})/(\d{1,2})/(\d{1,2})/$',	'all_by_hours'),

	(r'^byclients/peryear/(\d{4})/$',				'byclients_per_year'),
	(r'^byclients/permonth/(\d{4})/(\d{1,2})/$',			'byclients_per_month'),
	(r'^byclients/perday/(\d{4})/(\d{1,2})/(\d{1,2})/$',		'byclients_per_day'),

	(r'^detailed/perclient/$',			'detailed_per_client'),


)

